dppsu: XDpPsu_MainStreamAttributes Struct Reference

| dppsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDpPsu_MainStreamAttributes Struct Reference

This typedef contains the main stream attributes which determine how the video will be displayed. More...

## Data Fields
XVidC_VideoTimingMode | Vtm
| The video timing. More...
u32 | PixelClockHz
| The pixel clock of the stream (in Hz). More...
u32 | HStart
| Horizontal blank start (in pixels). More...
u32 | VStart
| Vertical blank start (in lines). More...
u32 | Misc0
| Miscellaneous stream attributes 0 as specified by the DisplayPort 1.2 specification. More...
u32 | Misc1
| Miscellaneous stream attributes 1 as specified by the DisplayPort 1.2 specification. More...
u32 | NVid
| N value for the video stream. More...
u32 | UserPixelWidth
| The width of the user data input port. More...
u32 | DataPerLane
| Used to translate the number of pixels per line to the native internal 16-bit datapath. More...
u32 | AvgBytesPerTU
| Average number of bytes per transfer unit, scaled up by a factor of 1000. More...
u32 | TransferUnitSize
| Size of the transfer unit in the framing logic. More...
u32 | InitWait
| Number of initial wait cycles at the start of a new line by the framing logic. More...
u32 | BitsPerColor
| Number of bits per color component. More...
u8 | ComponentFormat
| The component format currently in use by the video stream. More...
u8 | DynamicRange
| The dynamic range currently in use by the video stream. More...
u8 | YCbCrColorimetry
| The YCbCr colorimetry currently in use by the video stream. More...
u8 | SynchronousClockMode
| Synchronous clock mode is currently in use by the video stream. More...

## Detailed Description

This typedef contains the main stream attributes which determine how the video will be displayed.

## Field Documentation

u32 XDpPsu_MainStreamAttributes::AvgBytesPerTU

Average number of bytes per transfer unit, scaled up by a factor of 1000.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::BitsPerColor

Number of bits per color component.

Referenced by XDpPsu_CfgMsaRecalculate(), and XDpPsu_CfgMsaSetBpc().

u8 XDpPsu_MainStreamAttributes::ComponentFormat

The component format currently in use by the video stream.

Referenced by XDpPsu_CfgMsaRecalculate(), and XDpPsu_SetColorEncode().

u32 XDpPsu_MainStreamAttributes::DataPerLane

Used to translate the number of pixels per line to the native internal 16-bit datapath.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u8 XDpPsu_MainStreamAttributes::DynamicRange

The dynamic range currently in use by the video stream.

Referenced by XDpPsu_CfgMsaRecalculate(), and XDpPsu_SetColorEncode().

u32 XDpPsu_MainStreamAttributes::HStart

Horizontal blank start (in pixels).

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::InitWait

Number of initial wait cycles at the start of a new line by the framing logic.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::Misc0

Miscellaneous stream attributes 0 as specified by the DisplayPort 1.2 specification.

Referenced by XDpPsu_CfgMsaEnSynchClkMode(), XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), XDpPsu_SetColorEncode(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::Misc1

Miscellaneous stream attributes 1 as specified by the DisplayPort 1.2 specification.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), XDpPsu_SetColorEncode(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::NVid

N value for the video stream.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::PixelClockHz

The pixel clock of the stream (in Hz).

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), XDpPsu_CfgMsaUseEdidPreferredTiming(), XDpPsu_CfgMsaUseStandardVideoMode(), and XDpPsu_SetMsaValues().

u8 XDpPsu_MainStreamAttributes::SynchronousClockMode

Synchronous clock mode is currently in use by the video stream.

Referenced by XDpPsu_CfgMsaEnSynchClkMode(), and XDpPsu_CfgMsaRecalculate().

u32 XDpPsu_MainStreamAttributes::TransferUnitSize

Size of the transfer unit in the framing logic.

In MST mode, this is also the number of time slots that are alloted in the payload ID table.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::UserPixelWidth

The width of the user data input port.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

u32 XDpPsu_MainStreamAttributes::VStart

Vertical blank start (in lines).

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), and XDpPsu_SetMsaValues().

XVidC_VideoTimingMode XDpPsu_MainStreamAttributes::Vtm

The video timing.

Referenced by XDpPsu_CfgMsaRecalculate(), XDpPsu_CfgMsaUseCustom(), XDpPsu_CfgMsaUseEdidPreferredTiming(), XDpPsu_CfgMsaUseStandardVideoMode(), and XDpPsu_SetMsaValues().

u8 XDpPsu_MainStreamAttributes::YCbCrColorimetry

The YCbCr colorimetry currently in use by the video stream.

Referenced by XDpPsu_CfgMsaRecalculate(), and XDpPsu_SetColorEncode().